Name:       casadi
Version:    3.0.0
%define fnameversion 3.0.0
Release:	2%{?dist}
Summary:	Automatic differentiation library in cpp, python and other bindings

#Group:		
License:	LGPL
URL:	    https://github.com/casadi/casadi/wiki	
Source0:	casadi-%{fnameversion}.zip
#BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{fnameversion}-%{release}-XXXXXX)

BuildRequires: blas-devel lapack-devel swig python-devel cmake
BuildRequires: coin-or-Ipopt-devel numpy
Requires:       blas lapack python coin-or-Ipopt gcc-gfortran libgomp numpy

%description
Automatic differentiation library


%prep
%setup -q -n casadi-%{fnameversion}

%build
sed -e '/file(COPY.*\/casadi\/jit)/d' -i casadi/interfaces/clang/CMakeLists.txt
cd .. 
rm -rf casadi_build
mkdir casadi_build
cd casadi_build
#cmake ../casadi-%{fnameversion}/ \
#    -DCMAKE_INSTALL_PREFIX=%{_prefix}/
#
#cmake ../casadi-%{fnameversion}/ \
#    -DCMAKE_INSTALL_PREFIX=%{_prefix}/    \
#    -DPythonLibs_FIND_VERSION:STRING=2 \
#    -DPythonInterp_FIND_VERSION:STRING=2 \
#    -DWITH_OPENMP=ON
#    #-DENABLE_SHARED=ON              \

export CFLAGS="$CFLAGS -DHAVE_CONFIG_H"
export CXXFLAGS="$CFLAGS -DHAVE_CONFIG_H"
# Run CMake in release
cmake -DCMAKE_BUILD_TYPE="${_buildtype}" \
    -DCMAKE_INSTALL_PREFIX="/usr" \
    -DWITH_PYTHON=ON \
    -DWITH_EIGEN3=ON \
    -DWITH_OPENMP=ON \
    -DWITH_DEEPBIND=ON \
    "../casadi-%{fnameversion}/"
    #-DWITH_MATLAB=ON \
    #-DPYTHON_EXECUTABLE=/usr/bin/python2 \
    #-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
    #-DPYTHON_LIBRARY=/usr/lib64/libpython2.7.so \
    #-DWITH_CLANG=ON \

make %{?_smp_mflags}
make python %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd ../casadi_build
make install DESTDIR=%{buildroot}
make install_python DESTDIR=%{buildroot}

#cmake sucks at dealing with the custom lib install directories that these linux's use
#so fix the install
mkdir -p %{buildroot}%{_prefix}/%{_lib}
mv %{buildroot}%{_prefix}/lib/* %{buildroot}%{_prefix}/%{_lib}/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_prefix}/include/casadi
%{_prefix}/%{_lib}/*
%{_prefix}/%{_lib}/python2.*/site-packages/casadi
%doc

%changelog

